Subject: Re: [PATCH 0/8] Some build system improvements

From: Junio C Hamano <[email-masked]>
Date: Fri, 13 Mar 2026 15:21:21 -0700

Patrick Steinhardt <[email-masked]> writes:

> Hi,
>
> this patch series contains a small set of build system improvements:
>
>   - The first couple patches introduce a new "tools/" directory that
>     contains items related to our build infrastructure and to our
>     developer tooling. This finally follows up on my promise to do this
>     back when I did the spring clean of "contrib/". [1]
>
>   - The last couple patches introduce precompiled headers into Meson for
>     a nice compilation speedup of ~30%. It's 
>
> The two topics are not really related with one another other than being
> related to build systems. I decided to throw them in the same patch
> series though so that I can introduce "precompiled.h" in "tools/".

We saw a handful of exchanges a few days ago, but are there any more
comments?  Is the topic ready to advance?

Thanks.